# Fetch List of Release Group

Endpoint: GET /rmg/api/releaseGroup/summary
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `searchTerm` (string)
    Optional search string to filter releases by name.

  - `status` (array)

  - `type` (string)
    Optional release type filter (Orchestration or Tracking)
    Enum: "Orchestration", "Tracking"

  - `page` (integer)

  - `size` (integer)

  - `sort` (array)
    Sort parameters as an array. Format: [field_name, direction] where direction is asc or desc.
Supported fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
When used in query params, use format: sort=field_name&sort=direction (e.g., sort=start_ts&sort=desc).

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.lastUpdatedAt` (integer, required)

  - `content.lastUpdatedBy` (object, required)

  - `content.lastUpdatedBy.name` (string)

  - `content.lastUpdatedBy.identifier` (string, required)

  - `content.lastUpdatedBy.email` (string)

  - `content.identifier` (string, required)

  - `content.name` (string, required)

  - `content.description` (string)

  - `content.color` (string, required)

  - `content.tags` (object)

  - `content.releaseVersion` (string, required)

  - `content.releaseType` (string, required)
    Type of release.
    Enum: "System", "Beta", "Hotfix", "Patch"

  - `content.cadence` (object, required)

  - `content.cadence.spec` (object)

  - `content.cadence.spec.freq` (string, required)
    Unit of time used for repeating releases.
    Enum: "Weekly", "Monthly", "Daily"

  - `content.cadence.spec.interval` (integer, required)
    Number of units between releases.

  - `content.cadence.spec.weekday` (string)
    weekday

  - `content.cadence.timezone` (string, required)
    Timezone for the release cadence.

  - `content.cadence.duration` (string, required)
    duration for the release cadence.

  - `content.cadence.frequency` (string, required)
    Frequency of the release cadence.
    Enum: "Daily", "Weekly", "Monthly", "Custom", "BiWeekly"

  - `content.cadence.startDate` (string, required)
    Start date of the release cadence (YYYY-MM-DD).

  - `content.cadence.endDate` (string, required)
    End date of the release cadence (YYYY-MM-DD).

  - `content.id` (string, required)

  - `content.processIdentifier` (string)
    Process identifier

  - `content.processInputIdentifier` (string)
    Process input identifier

  - `content.autoExecuteOnSchedule` (boolean)
    Automatically execute releases when their scheduled time arrives

  - `pageable` (object, required)

  - `pageable.pageNumber` (integer)

  - `pageable.pageSize` (integer)

  - `pageable.sort` (object)

  - `pageable.sort.empty` (boolean)

  - `pageable.sort.sorted` (boolean)

  - `pageable.sort.unsorted` (boolean)

  - `pageable.offset` (integer)

  - `pageable.paged` (boolean)

  - `pageable.unpaged` (boolean)

  - `totalPages` (integer, required)

  - `last` (boolean, required)

  - `totalElements` (integer, required)

  - `size` (integer, required)

  - `number` (integer, required)

  - `sort` (object, required)

  - `numberOfElements` (integer, required)

  - `first` (boolean, required)

  - `empty` (boolean, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


